Index: code/trunk/data/gui/layouts/SettingsMenu.layout
===================================================================
--- code/trunk/data/gui/layouts/SettingsMenu.layout	(revision 6746)
+++ code/trunk/data/gui/layouts/SettingsMenu.layout	(revision 7163)
@@ -2,5 +2,5 @@
 
 <GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/SettingsBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/SettingsMenu/Background" >
         <Property Name="InheritsAlpha" Value="False" />
         <Property Name="FrameEnabled" Value="False" />
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/SettingsWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/SettingsMenu/SettingsWindow" >
             <Property Name="Text" Value="Settings" />
             <Property Name="Alpha" Value="0.8" />
@@ -16,5 +16,5 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="MenuWidgets/Button" Name="orxonox/GameplayButton" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/SettingsMenu/GameplayButton" >
                 <Property Name="Text" Value="Gameplay" />
                 <Property Name="Disabled" Value="True" />
@@ -23,5 +23,5 @@
                 <Event Name="Clicked" Function="SettingsMenu.SettingsGameplayButton_clicked"/>
             </Window>
-            <Window Type="MenuWidgets/Button" Name="orxonox/MultiplayerOptionsButton" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/SettingsMenu/MultiplayerOptionsButton" >
                 <Property Name="Text" Value="Multiplayer options" />
                 <Property Name="Disabled" Value="True" />
@@ -30,5 +30,5 @@
                 <Event Name="Clicked" Function="SettingsMenu.SettingsMultiplayerOptionsButton_clicked"/>
             </Window>
-            <Window Type="MenuWidgets/Button" Name="orxonox/ControlsButton" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/SettingsMenu/ControlsButton" >
                 <Property Name="Text" Value="Controls" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -36,5 +36,5 @@
                 <Event Name="Clicked" Function="SettingsMenu.SettingsControlsButton_clicked"/>
             </Window>
-            <Window Type="MenuWidgets/Button" Name="orxonox/GraphicsButton" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/SettingsMenu/GraphicsButton" >
                 <Property Name="Text" Value="Graphics" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -42,5 +42,5 @@
                 <Event Name="Clicked" Function="SettingsMenu.SettingsGraphicsButton_clicked"/>
             </Window>
-            <Window Type="MenuWidgets/Button" Name="orxonox/AudioButton" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/SettingsMenu/AudioButton" >
                 <Property Name="Text" Value="Audio" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -48,13 +48,12 @@
                 <Event Name="Clicked" Function="SettingsMenu.SettingsAudioButton_clicked"/>
             </Window>
-            <Window Type="MenuWidgets/Button" Name="orxonox/ResetSettingsButton" >
-                <Property Name="Text" Value="Reset settings" />
-                <Property Name="Disabled" Value="True" />
+            <Window Type="MenuWidgets/Button" Name="orxonox/SettingsMenu/MiscellaneousButton" >
+                <Property Name="Text" Value="Miscellaneous" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
                 <Property Name="UnifiedAreaRect" Value="{{0.55,0},{0.727272,0},{0.95,0},{0.909090,0}}" />
-                <Event Name="Clicked" Function="SettingsMenu.SettingsResetSettingsButton_clicked"/>
+                <Event Name="Clicked" Function="SettingsMenu.SettingsMiscellaneousButton_clicked"/>
             </Window>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/SettingsBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/SettingsMenu/SettingsBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
